Subject: Re: [PATCH] "git help" and "git help -a" shouldn't exit(1) unless they error

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 22 Oct 2007 02:37:37 -0400

Scott Parish <[email-masked]> wrote:
> On Mon, Oct 22, 2007 at 01:47:41AM -0400, Shawn O. Pearce wrote:
> 
> > The issue here is t0000-basic.sh runs "../git" and tests that the
> > exit status is 1.  If it isn't (the patch above makes it 0) we just
> > abort the test suite entirely.
> 
> Shoot, i hadn't realized i had effected the "git" case. I'll
> look into this further.
> 
> By the way, should i expect all the tests to pass from the unmodified
> public HEAD? (they don't for me)

Yes.  I only push maint, master and next if they pass all tests.
If something doesn't pass I rewind the branch until it does (of
course I only rewind back to what I've previously published).

I do however push a broken pu.  Because individual topics in there
may be valid, but one or two may also be broken.  The pu branch
is meant to be a place to obtain a specific topic of interest
from so you can work further on it, or test it.  Like tonight.
pu compiles but doesn't pass the tests.

So if you are seeing one or more tests fail please go run that
specific test(s) with "-i -v" and either come up with a fix for
the test, or at least post the output of that to the mailing
list so someone else can have a chance to resolve the problem.

Since everything passes here for me on Linux/x86_64 I'm guessing
its a platform specific issue.  We still should fix it.

-- 
Shawn.